Weak::MD4 Class Reference

MD4 More...

`#include <md4.h>`

Inheritance diagram for Weak::MD4:

## Static Public Member Functions

static void | InitState (HashWordType *state)
static void | Transform (word32 *digest, const word32 *data)
static const char * | StaticAlgorithmName ()

## Additional Inherited Members

Public Member Functions inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 16, MD4 >
unsigned int | DigestSize () const
| Provides the digest size of the hash.
Public Member Functions inherited from ClonableImpl< DERIVED, BASE >
Clonable * | Clone () const
| Create a copy of this object.
Static Public Attributes inherited from IteratedHashWithStaticTransform< word32, LittleEndian, 64, 16, MD4 >
static const int | DIGESTSIZE

## Detailed Description

MD4

Warning
  MD4 is considered insecure, and should not be used unless you absolutely need it for compatibility.

Definition at line 13 of file md4.h.

## Member Function Documentation

## InitState()

void Weak::MD4::InitState | ( | HashWordType * | state | ) |

static

Definition at line 25 of file md4.cpp.

## Transform()

void Weak::MD4::Transform | ( | word32 * | digest,
|  | const word32 * | data
| ) |  |

static

Definition at line 33 of file md4.cpp.

## StaticAlgorithmName()

static const char * Weak::MD4::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 18 of file md4.h.

The documentation for this class was generated from the following files:

- md4.h
- md4.cpp